> ## Documentation Index
> Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Transactions



## OpenAPI

````yaml /api-reference/openapi.json get /transactions/me
openapi: 3.0.0
info:
  title: Obiex API
  version: 1.0.0
  description: >-
    Welcome to the Obiex API Documentation, your guide to building amazing
    payment experiences with our powerful APIs.


    Start by reviewing the overview of each folder to understand how the APIs
    function and interact. This will help you get the most out of our platform
    and easily integrate its features into your applications.
servers:
  - url: https://api.obiex.finance/v1
security: []
paths:
  /transactions/me:
    get:
      tags:
        - Transactions
      summary: Get User Transactions
      parameters:
        - name: currencyId
          in: query
          required: false
          deprecated: false
          schema: {}
          example: 562376f7-dcf4-42e3-8cd8-85aed7c03791
        - name: page
          in: query
          required: false
          deprecated: false
          schema: {}
          example: '1'
        - name: pageSize
          in: query
          required: false
          deprecated: false
          schema: {}
          example: '10'
        - name: startDate
          in: query
          required: false
          deprecated: false
          schema: {}
          example: '2023-01-01'
        - name: endDate
          in: query
          required: false
          deprecated: false
          schema: {}
          example: '2025-01-01'
        - name: category
          in: query
          required: false
          deprecated: false
          schema: {}
          example: DEPOSIT
        - name: X-API-KEY
          in: header
          schema:
            type: string
        - name: X-API-TIMESTAMP
          in: header
          schema:
            type: string
        - name: X-API-SIGNATURE
          in: header
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
              example:
                message: Ok
                data:
                  - id: 437b425a-3f2e-4eb7-a753-7d7907ab25c0
                    createdAt: '2026-03-27T10:25:59.722Z'
                    updatedAt: '2026-03-27T10:25:59.722Z'
                    active: true
                    reference: 8b68da4e-b933-42c0-95d0-80f253da89d5
                    description: Swap from USDT to NGNX
                    narration: null
                    type: CREDIT
                    category: SWAP
                    amount: 14260
                    walletId: 4d20bc14-3fe7-48dc-8d2f-e4f9a6105d77
                    wallet:
                      id: 4d20bc14-3fe7-48dc-8d2f-e4f9a6105d77
                      createdAt: '2025-05-21T15:18:07.606Z'
                      updatedAt: '2026-03-27T10:25:59.722Z'
                      active: true
                      availableBalance: 45520
                      pendingBalance: 0
                      pendingSwapBalance: 0
                      lockedBalance: 10100
                      totalSwappableBalance: 45520
                      totalPendingBalance: 0
                      userId: 51ec42a0-6c2f-4435-86ed-fa7bae079a57
                      currencyId: de3423cb-e81c-464f-8bb4-d9da15a37e8b

````